flext_base::AttrItem Class Reference

This represents an item of the attribute list. More...

`#include <flclass.h>`

Inheritance diagram for flext_base::AttrItem:

## Public Types

enum | { afl_get = 0x01 , afl_set = 0x02 , afl_getset = afl_get|afl_set , afl_shown = 0x08 }

## Public Member Functions

| AttrItem (const t_symbol *tag, metharg tp, methfun fun, int flags)
bool | IsGet () const
bool | IsSet () const
bool | IsShown () const
bool | BothExist () const
AttrItem * | Counterpart ()
Public Member Functions inherited from flext_base::Item
| Item (AttrItem *a)
virtual | ~Item ()
bool | IsAttr () const

## Public Attributes

int | index
int | flags
metharg | argtp
methfun | fun
AttrItem * | counter
const t_symbol * | tag
Public Attributes inherited from flext_base::Item
AttrItem * | attr
Item * | nxt

## Detailed Description

This represents an item of the attribute list.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
afl_get |
afl_set |
afl_getset |
afl_shown |

## Constructor & Destructor Documentation

## AttrItem()

flext_base::AttrItem::AttrItem | ( | const t_symbol * | tag,
|  | metharg | tp,
|  | methfun | fun,
|  | int | flags
| ) |  |

## Member Function Documentation

## BothExist()

bool flext_base::AttrItem::BothExist | ( |  | ) | const

inline

## Counterpart()

AttrItem* flext_base::AttrItem::Counterpart | ( |  | ) |

inline

## IsGet()

bool flext_base::AttrItem::IsGet | ( |  | ) | const

inline

## IsSet()

bool flext_base::AttrItem::IsSet | ( |  | ) | const

inline

## IsShown()

bool flext_base::AttrItem::IsShown | ( |  | ) | const

inline

## Member Data Documentation

## argtp

metharg flext_base::AttrItem::argtp

## counter

AttrItem* flext_base::AttrItem::counter

## flags

int flext_base::AttrItem::flags

## fun

methfun flext_base::AttrItem::fun

## index

int flext_base::AttrItem::index

## tag

const t_symbol* flext_base::AttrItem::tag

The documentation for this class was generated from the following files:

- flclass.h
- flattr.cpp